#!/usr/bin/perl -I/usr/local/lib/bs/bin

use common;
proginit();

chdir( $main::root );
$bsdir = $main::root;

foreach $daemon ("bbd", "bb_event_generator", "uxmon") {
    if( -f "$main::root/adm/$daemon.pid" ) {
	open( IN, "<$main::root/adm/$daemon.pid" );
	chomp( $pid = <IN> ); 
	close IN;
	print "$daemon is pid $pid\n" if( $main::dl );
	if( ($pid>0) && kill( 1, $pid ) ) {
	    unlink( "$main::root/adm/$daemon.pid" );
	    print "$daemon stopped\n";
	}
    }
}


sub ErrorReport{
	print Win32::FormatMessage( Win32::GetLastError() );
}
