#!/usr/bin/perl -I/usr/local/lib/bs/bin
#    Big Sister network monitor
#    Copyright (C) 1998  Thomas Aeby
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

#=============================================================================
#
$main::Usage	  = "[-D level] [-b bigsisterdirectory] skin ...";
#
#=============================================================================
@main::options = ( );
use common;
proginit();

use strict;
use Time::Local;
use bbdisp;

my $dl = $main'dl = $main::opt_D;
my $skin;
my $display = new bbdisp();

$display->bypass_skincache();

foreach $skin (@ARGV) {
    my $cskin = $display->read_skin( $skin );
    $display->cache_skin( $skin, $cskin );
}

